<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <Authors>Ilyx</Authors>
    <Version>0.1.0</Version>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>pdbonly</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Resources\Images\Add.png" />
    <None Remove="Resources\Images\Banner.png" />
    <None Remove="Resources\Images\Help.png" />
    <None Remove="Resources\Images\Home.png" />
    <None Remove="Resources\Images\Humidity_Icon.png" />
    <None Remove="Resources\Images\Info.png" />
    <None Remove="Resources\Images\Logo_Gray.png" />
    <None Remove="Resources\Images\Luminosity_Icon.png" />
    <None Remove="Resources\Images\Settings.png" />
    <None Remove="Resources\Images\Tank_Icon.png" />
    <None Remove="Resources\Images\Temperature_Icon.png" />
    <None Remove="Resources\Images\Type\Ficus.png" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="Resources\Images\Add.png" />
    <EmbeddedResource Include="Resources\Images\Banner.png" />
    <EmbeddedResource Include="Resources\Images\Help.png" />
    <EmbeddedResource Include="Resources\Images\Home.png" />
    <EmbeddedResource Include="Resources\Images\Humidity_Icon.png" />
    <EmbeddedResource Include="Resources\Images\Info.png" />
    <EmbeddedResource Include="Resources\Images\Logo_Gray.png" />
    <EmbeddedResource Include="Resources\Images\Luminosity_Icon.png" />
    <EmbeddedResource Include="Resources\Images\Settings.png" />
    <EmbeddedResource Include="Resources\Images\Tank_Icon.png" />
    <EmbeddedResource Include="Resources\Images\Temperature_Icon.png" />
    <EmbeddedResource Include="Resources\Images\Type\Ficus.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microcharts" Version="0.7.1" />
    <PackageReference Include="Microcharts.Forms" Version="0.7.1" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.1" />
    <PackageReference Include="Xamarin.Forms" Version="3.6.0.344457" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\PlantBox.Shared\PlantBox.Shared.csproj" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="Forms\AboutPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\Controls\StatusBar.xaml">
      <Generator>MSBuild:Compile</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\HomePage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\MainPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\MenuPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\HomeItem.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\Plant\CaptorsPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\Plant\HistoricPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\Plant\PlantPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\Settings\LanguageSelectorPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Forms\Settings\SettingsPage.xaml">
      <Generator>MSBuild:UpdateDesignTimeXaml</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Resources\Locale.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Locale.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Forms\Settings\LanguageSelectorPage.xaml.cs">
      <DependentUpon>LanguageSelectorPage.xaml</DependentUpon>
    </Compile>
    <Compile Update="Resources\Locale.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>Locale.resx</DependentUpon>
    </Compile>
  </ItemGroup>
</Project>